package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.PromotionList;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.query.PromotionListRequest;
import com.ssm.manage.response.PromotionListResponse;

import java.util.List;
import java.util.Map;

public interface SsmPromotionService extends BaseService<PromotionList> {
    PageInfo<PromotionListRequest> selectPage(PromotionListRequest promotionListRequest);
    List<Map<String,Object>> selectList(PromotionListRequest promotionListRequest);
    PageInfo<PromotionList> selectPages(PromotionListRequest promotionListRequest);
    PageInfo<PromotionList> selectPagenew(PromotionListRequest promotionListRequest);

    int addPromotion(PromotionListRequest promotionListRequest) throws SmsException;

    int updatePromotion(PromotionListRequest promotionListRequest) throws SmsException;

    int sendAudit(PromotionListRequest promotionListRequest) throws SmsException;

    int revokeAudit(PromotionListRequest promotionListRequest) throws SmsException;

    int audit(PromotionListRequest promotionListRequest);

    int unAudit(PromotionListRequest promotionListRequest);

    int shutDown(PromotionListRequest promotionListRequest) throws SmsException;

    int push(PromotionListRequest promotionListRequest);

    int addCourseGitRechargePromotion(PromotionListRequest promotionListRequest)throws SmsException;

    int updatePromotionRechargeList(PromotionListRequest promotionListRequest)throws SmsException;

    List<PromotionList> selectPromotionType(PromotionListRequest promotionListRequest);
}
